package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BStatTablePwxkRawMaterial;
import cn.cecep.talroad.vo.BStatTablePwxkRawMaterialVo;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BStatTablePwxkRawMaterialMapper extends BaseMapper<BStatTablePwxkRawMaterial> {
    int updateBatch(List<BStatTablePwxkRawMaterial> list);

    int updateBatchSelective(List<BStatTablePwxkRawMaterial> list);

    int batchInsert(@Param("list") List<BStatTablePwxkRawMaterial> list);

     List<BStatTablePwxkRawMaterialVo> selectListAndFactory(BStatTablepPwxkWaterQuery query);
}